import { defineComponent, KeepAlive } from 'vue'
import { close } from '/src/helpers/loading'
import qs from 'query-string'
import './vue-tsx-shim.d'
import './app.d'
// 关闭默认加载loading
close()

export default defineComponent({
  mounted() {
    const parseSearch: any = qs.parse(location.search)
    const hashSearch = qs.parse(location.href.split('#/')[1])
    const Authorization: string = parseSearch.Authorization || hashSearch.Authorization || ''
    sessionStorage.setItem('Authorization', Authorization)
  },
  render() {
    return (
      <router-view></router-view>
    )
  }
})
